# bb_sic.py weigu.lu
# This example is in the public domain
# Getting data from 3 SIC100 Datalogger

# Import PyBBIO library:
from bbio import *
from time import gmtime, strftime
import shutil
import os

RTS = GPIO2_7 #Header P8 Pin 46

fpath = '/home/weigu/teensylogger/'
data_dir = fpath+'data/'
data_a_dir = fpath+'data_archive/'

def get_sic(tp,Ser):
    if  tp == 'h':	#tp may be h, d, m or y
        fend = ".min"
    elif tp == 'd':
        fend = ".day"
    elif tp == 'm':
        fend = ".mon"
    else:
        fend = ".year"
    if  Ser == Serial1:	#tp may be h, d, m or y
        fm = "_pv1_"
    elif Ser == Serial2:
        fm = "_pv2_"
    else:
        fm = "_th_"
    for i in range(15):
        Ser.begin(9600, timeout=10)
        digitalWrite(RTS,HIGH)
        delay(100)
        Ser.write(" ")
        print "Data send: 'Space'"
        char = Ser.read()
        if char == 'S':
            break 
        digitalWrite(RTS,LOW)
        Ser.end()      #close serial port
        if i == 14:
            return
	delay(3000)
    data = 'S'
    for i in range(80):
        char = Ser.read()
	if char == "\n":
            break
        data += char
    data += "\n"	
    print "Data received: %s" % data
    ftime = strftime("%Y_%m_%d", gmtime())
    try:
        f = open (data_a_dir+'sic'+fm+ftime+fend,'w+')
    except IOError:
        print ("Cannot create or find file!")
    f.write(data)
    Ser.write("?")
    print "Data send: '?'"
    data = Ser.read()
    print "Data received: %s\n" % data
    Ser.write(tp)
    print "Data send: %s\n" %tp
    data = Ser.read()
    print "Data received: %s\n" % data
    Ser.write("\r")
    print "Data send: 'CR'\n"
    data = Ser.read()
    print "Data received: %s\n" % data
    print "Getting Data! Please wait."
    for i in range(10000):
        data = ''
        for i in range(80):
            char = Ser.read() 
    	    if char == "\n":
                break
            data += char
        data += "\n"	
        f.write(data)
        if data == ";\r\n":
            break
    f.close()
    digitalWrite(RTS,LOW)
    Ser.end()      #close serial port
    print "Connection closed!"
    delay(10000)

def setup():
    pinMode(RTS, OUTPUT)  

def loop():
    get_sic('h',Serial1)
    get_sic('d',Serial1)
    get_sic('m',Serial1)
    get_sic('h',Serial2)
    get_sic('d',Serial2)
    get_sic('m',Serial2)
    get_sic('h',Serial5)
    get_sic('d',Serial5)
    get_sic('m',Serial5)

    stop()         #no loop 
  
run(setup, loop)
