#!/usr/bin/python
# -*- coding: utf-8 -*-

# bb_sic_merge_plot_mail.py weigu.lu

from time import *
from datetime import datetime, timedelta
import shutil
import os
import ftplib
from bbio import * #for delay!

ftime = strftime("%Y_%m_%d", localtime())
rftime = (datetime.today() - timedelta(days=1)).strftime('%Y_%m_%d')

fpath = '/home/weigu/teensylogger/'
data_dir = fpath+'data/'
data_a_dir = fpath+'data_archive/'
png_dir = fpath+'png/'
png_a_dir = fpath+'png_archive/'
gp_dir = fpath+'gp/'

pngfile1 = png_dir+'2013_year.png'
pngfile2 = png_a_dir+'pv_'+rftime+'.png'
pngfile3 = png_a_dir+'ec_'+rftime+'.png'
pngfile4 = png_a_dir+'heating_'+rftime+'.png'
datafile = data_dir+'sic_pv.day'
gnupfile1 = gp_dir+'sic_gp_template.gp'
gnupfile2 = gp_dir+'sic.gp'   
mailfile = fpath+'mail.txt'

def merge_files():
    ltime1 = (datetime.today() - timedelta(days=1)).strftime('%d.%m.%Y')
    # ltime 3 needed for correction of date error (-4 years-1 day)
    ltime2 = (datetime.today() - timedelta(days=1462)).strftime('%d.%m.%Y')
    rfilename1 = data_a_dir+'sic_pv1_'+rftime+'.day'
    rfilename2 = data_a_dir+'sic_pv2_'+rftime+'.day'
    try:
        wf = open (datafile,'a')
        wf.write(ltime1+'\t')
    except IOError:
        print ("Cannot create or find file: " + datafile)
    try:
        rf1 = open (rfilename1,'r')
    except IOError:
        print ("Cannot find file: " + rfilename1)
    try:
        rf2 = open (rfilename2,'r')
    except IOError:
        print ("Cannot find file: " + rfilename2)
    line1 = rf1.readline()
    line2 = rf2.readline()
    while line1 != '':
        if ltime1 in line1:
            line1 = rf1.readline() # correcting line error
            if ";" not in line1:
                splline1 = line1.split(' ')
                lval1 = splline1[2].rstrip('\r\n')
                wf.write(lval1+'\t')
        line1 = rf1.readline()
    while line2 != '':
        if ltime2 in line2:
            line2 = rf2.readline()
            if ";" not in line2:
                 splline2 = line2.split(' ')
                 lval2 = splline2[2].rstrip('\r\n')
                 wf.write(lval2+'\n')
        line2 = rf2.readline()        
    wf.close()
    rf1.close()
    rf2.close()

def plot_files():
    Title = '2014\_day'
    XFormat = "''"
    XTics = '3600*24' #seconds
    Delta = int(strftime("%j"))-1
    Begin = (datetime.today() - timedelta(days=Delta)).strftime('%d.%m.%Y')+' 23:59:00'
    End = (datetime.today() - timedelta(days=0)).strftime('%d.%m.%Y')+' 00:00:00'
    Output = pngfile1
    Input = datafile
    try:
        os.remove(gnupfile2)
    except OSError:
        pass
    try:
        gf1 = open (gnupfile1,'r')
    except IOError:
        print ("Cannot find file: " + gnupfile1)
    try:
        gf2 = open (gnupfile2,'a')
    except IOError:
        print ("Cannot find file: " + gnupfile2)    
    gline1 = gf1.readline()
    while gline1 != '':
        if '%TITLE%' in gline1:
            gline1 = gline1.replace('%TITLE%',Title)
        if '%XFORMAT%' in gline1:
            gline1 = gline1.replace('%XFORMAT%',XFormat)
        if '%XTICS%' in gline1:
            gline1 = gline1.replace('%XTICS%',XTics)
        if '%BEGIN%' in gline1:
            gline1 = gline1.replace('%BEGIN%',Begin)
        if '%END%' in gline1:
            gline1 = gline1.replace('%END%',End)
        if '%OUTPUT%' in gline1:
            gline1 = gline1.replace('%OUTPUT%',Output)
        if '%INPUT%' in gline1:
            gline1 = gline1.replace('%INPUT%',Input)
        gf2.write(gline1)
        gline1 = gf1.readline()
    gf1.close
    gf2.close

def send_mail():    
    try:
        mf = open (mailfile,'w')
    except IOError:
        print ("Cannot create or find file: " + mailfile)
    mf.write("Im Attachment befindet sich die Grafikdatei")
    mf.close

def upload_files():
    session = ftplib.FTP('mysite.com','mylogin','mypassword')
    try:
        upf1 = open(pngfile1,'rb')                  # file to send= open
    except IOError:
        print ("Cannot find file: " + pngfile1)
    try:
        upf2 = open(datafile,'rb')                  # file to send= open
    except IOError:
        print ("Cannot find file: " + datafile)            
    session.cwd("/public_html/e")    
    session.storbinary('STOR 2013_year.png', upf1)     # send the file
    session.storbinary('STOR sic_pv.day', upf2)     # send the file
    upf1.close()                                    # close file and FTP
    upf2.close()                                    # close file and FTP
    session.quit()	
    
delay(10000) #wait 10 seconds for teensylogger to complete!    
merge_files()
plot_files ()
os.system('/usr/bin/gnuplot '+gnupfile2)
send_mail()
os.system('mpack -s "Mail from my beaglebone sic" -d '+mailfile+' '+pngfile1+' my@mail.adr')
os.system('mpack -s "Mail from my beaglebone pv" -d '+mailfile+' '+pngfile2+' my@mail.adr')
os.system('mpack -s "Mail from my beaglebone ec" -d '+mailfile+' '+pngfile3+' my@mail.adr')
os.system('mpack -s "Mail from my beaglebone heating" -d '+mailfile+' '+pngfile4+' my@mail.adr')
upload_files()
