# bb_tl_heat_move_files.py weigu.lu
# This example is in the public domain

# Import PyBBIO library:
from bbio import *
from time import gmtime, strftime
import shutil
import os

fpath = '/home/weigu/teensylogger/'
data_dir = fpath+'data/'
data_a_dir = fpath+'data_archive/'
png_dir = fpath+'png/'
png_a_dir = fpath+'png_archive/'

def move_files(dir_src,dir_dst):
    for file in os.listdir(dir_src):
        if "ec_" in file:
            src_file = os.path.join(dir_src, file)
            dst_file = os.path.join(dir_dst, file)
            shutil.move(src_file, dst_file)
        if "pv_" in file:
            src_file = os.path.join(dir_src, file)
            dst_file = os.path.join(dir_dst, file)
            shutil.move(src_file, dst_file)   
        if "heating_" in file:
            src_file = os.path.join(dir_src, file)
            dst_file = os.path.join(dir_dst, file)
            shutil.move(src_file, dst_file)       

def setup():
    delay(30000)
    
def loop():
    dir_src = data_dir
    dir_dst = data_a_dir
    move_files(dir_src,dir_dst)
    dir_src = png_dir
    dir_dst = png_a_dir
    move_files(dir_src,dir_dst)
    try:
        os.remove(fpath+'pv_data.min')
    except OSError:
        print ("Error while trying to delete pv_data.min")
    try:
        os.remove(fpath+'ec_data.min')
    except OSError:
        print ("Error while trying to delete ec_data.min")
    try:
        os.remove(fpath+'heating_data.min')
    except OSError:
        print ("Error while trying to delete heating_data.min")

run(setup, loop)
