# Darstellung der Energiedaten mit gnuplot
#Datei muss Unix Zeilenumbruch besitzen!, also nur LF
# Allgemeine Einstellungen
reset   #Alle Einstellungen zuruecksetzen
set key samplen -1
# unset key # Unterdrueckt die Legende

set grid
set datafile commentschar "#"
set datafile separator " "

# set decimalsign "," # gilt leider nur fuer Ausgabestrings!
# set decimalsign locale "de_DE.UTF-8"

set terminal pngcairo size 1920,1200 enhanced font 'Verdana,10'
set output "%OUTPUT%"

set origin 0,0
set multiplot

# X-Achse
set xdata time  # Erlaube Zeitmodus (zurueck mit set xdata (ohne Argument)
set timefmt "%d.%m.%y %H:%M:%S"        # Eingabeformat festlegen
set format x "%k"                 # Ausgabeformat festlegen
set xtics %XTICS%  font ",8"
set xrange ["%BEGIN%":"%END%"]
# set xlabel "Uhrzeit (Stunden)"


# Y-Achsen
set yrange [0:2600] 
set ytics 200 font ",10"

# every verhindert Ausgabe der ersten Zeile (Zeile 0 beginnt mit Zeile 1)
# colors 1 red 2 green 3 blue 4 magenta 5 cyan 6 yellow 7 black
set size 1,0.14
set origin 0.0,0.0
set tmargin 0
plot "%INPUT%" every::1 u 1:3 axes x1y1 w lines t 'L1 Aalt Haus: Kichen (LS), Kachmaschinn, 1. Stack' lc 1 lw 2
set size 1,0.115
set origin 0.0,0.14
set bmargin 0
set format x ''		#Label auf der X-Achse ausschalten
plot "%INPUT%" every::1 u 1:4 axes x1y1 w lines t 'L2 Aalt Haus: Bureau (LS), Kichen (S), Spullmaschinn, Frigidär' lc 2 lw 2
set size 1,0.115
set origin 0.0,0.255
plot "%INPUT%" every::1 u 1:5 axes x1y1 w lines t 'L3 Aalt Haus: Telezëmmer (LS), Agank (LS), Buedzëmmer (LS)' lc 3 lw 2
set size 1,0.115
set origin 0.0,0.37
plot "%INPUT%" every::1 u 1:6 axes x1y1 w lines t 'L1 Neit Haus: Zëmmer West (S), Z. Ost+Süd+Bued (L), Wäschmaschinn, Keller (L), RDC (L), Holzmaschinn' lc 4 lw 2
set size 1,0.115
set origin 0.0,0.485
plot "%INPUT%" every::1 u 1:7 axes x1y1 w lines t 'L2 Neit Haus: Zëmmer West+Trapenhaus (L), Storen, Trockner, Heizung, Keller (SL), Truh, RDC (S), , Holzmaschinn' lc 5 lw 2
set size 1,0.115
set origin 0.0,0.60
plot "%INPUT%" every::1 u 1:8 axes x1y1 w lines t 'L3 Neit Haus:  Zëmmer Ost+Süd+Bued (S + 1 Späicher), Späicher (L), Späicher mëtt (S), Belüftung, Trapenhaus (S), Keller (SR), Reenwaasserpompel,  Holzmaschinn, Gaardenheischen' lc 7 lw 2
set size 1,0.115
set origin 0.0,0.715
plot "%INPUT%" every::1 u 1:10 axes x1y1 w lines t 'L2: Heizung, Trockner' lc 8 lw 2
set size 1,0.17
set origin 0.0,0.83
set tmargin
set title "%TITLE%" font ",14"
set yrange [0:4500] 
set ytics 500 font ",10"
plot "%INPUT%" every::1 u 1:9 axes x1y1 w lines t 'L3 Garage: Elektroauto, LED-Strahler' lc 9 lw 2

unset multiplot



replot

#set terminal x11
#set output
