# Darstellung der Heizungsdaten mit gnuplot
#Datei muss Unix Zeilenumbruch besitzen!, also nur LF
# Allgemeine Einstellungen
reset   #Alle Einstellungen zuruecksetzen
#set key samplen -1
# unset key # Unterdrueckt die Legende

set grid
set datafile commentschar "#"
set datafile separator "\t"

# set decimalsign "," # gilt leider nur fuer Ausgabestrings!
# set decimalsign locale "de_DE.UTF-8"


set title "%TITLE%" font ",14"
# set decimalsign "," # gilt leider nur fuer Ausgabestrings!
# set decimalsign locale "de_DE.UTF-8"

# X-Achse
set xdata time  # Erlaube Zeitmodus (zurueck mit set xdata (ohne Argument)
set timefmt "%d.%m.%y\t%H:%M:%S"        # Eingabeformat festlegen
set format x %XFORMAT%                 # Ausgabeformat festlegen
set xtics %XTICS%  font ",8"
# set xlabel "Uhrzeit (Stunden)"
set xrange ["%BEGIN%":"%END%"]

# Y-Achsen
set yrange [-15:90] 
set ytics 5 font ",10"
# set ylabel "Temperatur in °C/Luftfeuchtigkeit in %"
set y2range [-15:90]
set y2tics 5 font ",10"
# set y2label "Kohlendioxid in ppm"

# Ausgabe der Kennlinie und der Messwerte (Alles in einer Zeile)
# every verhindert Ausgabe der ersten Zeile (Zeile 0 beginnt mit Zeile 1)
# colors 1 red 2 green 3 blue 4 magenta 5 cyan 6 yellow 7 black
plot "%INPUT%" every::1 u 1:3 axes x1y1 w lines t 'Aussentemperatur [°C]' lc 2 lw 2, \
"" every::1 u 1:4 axes x1y1 w lines t 'Kollektortemperatur [°C]' lc 1 lw 2, \
"" every::1 u 1:5 axes x1y2 w lines t 'Boiler oben [°C]' lc 3 lw 2, \
"" every::1 u 1:7 axes x1y2 w lines t 'Boiler unten [°C]' lc 4 lw 2, \
"" every::1 u 1:8 axes x1y2 w lines t 'Brenner Vorlauf [°C]' lc 7 lw 2, \
"" every::1 u 1:10 axes x1y2 w lines t 'Heizkreis A Vorlauf [°C]' lc 8 lw 2, \
"" every::1 u 1:11 axes x1y2 w lines t 'Heizkreis B Vorlauf [°C]' lc 5 lw 2 

set terminal pngcairo size 1920,1200 enhanced font 'Verdana,10'
set output "%OUTPUT%"
replot
#set terminal x11
#set output
