# PV Darstellung der Daten mit gnuplot
# Datei muss Unix Zeilenumbruch besitzen!, also nur LF
# Allgemeine Einstellungen
reset   #Alle Einstellungen zuruecksetzen
clear
set origin 0.02,0
set size 0.96
# unset key # Unterdrueckt die Legende
set key bottom center outside horizontal samplen 7 spacing 1 width 10 height 2 font ",18" #autotitle columnhead
set title '%TITLE%' font ",30" offset 0,3
set style line 100 lt 1 lc rgb "black" lw 1
set grid ytics ls 100

set datafile commentschar "#"
set datafile separator " "

# set decimalsign "," # gilt leider nur fuer Ausgabestrings!
# set decimalsign locale "de_DE.UTF-8"

# X-Achse
set xdata time  # Erlaube Zeitmodus (zurueck mit set xdata (ohne Argument)
set timefmt "%d.%m.%y %H:%M:%S"        # Eingabeformat festlegen
set format x %XFORMAT%                 # Ausgabeformat festlegen
set xtics out %XTICS% nomirror
#unset mxtics
# set xlabel "Uhrzeit (Stunden)"
set xrange ["%BEGIN%":"%END%"]

# Y-Achsen
set yrange [0:5000] 
set ytics 1000 font ",18"
set ylabel "W" font ",24" offset -3

set y2range [0:25000] 
set y2tics 5000 font ",10"
set y2label "Energy in Wh"

#set style fill solid border lc rgb "black"
#box 50% from day (day has 86400 seconds)
#set boxwidth 43200 absolute

# Ausgabe der Kennlinie und der Messwerte (Alles in einer Zeile)
plot "%INPUT%" every::1 u 1:3 axes x1y1 w lines t 'WG[W]' lc rgb "cyan", \
"" every::1 u 1:4 axes x1y1 w lines t 'WP[W]' lc rgb "green", \
"" every::1 u 1:5 axes x1y1 w lines t 'WK[W]' lc rgb "red", \
"" every::1 u 1:6 axes x1y2 w lines t 'WG[Wh]' lc rgb "cyan", \
"" every::1 u 1:7 axes x1y2 w lines t 'WP[Wh]' lc rgb "green", \
"" every::1 u 1:8 axes x1y2 w lines t 'WK[Wh]' lc rgb "red"

#"" u ($0+100000):($6/1000):($0+1000) w labels 

set terminal pngcairo size 1900,820 enhanced font 'Verdana,10'
set output "%OUTPUT%"
replot
#set terminal x11
#set output
